Gtk_Object(3)

NAME - Gtk_Object
The base class of the whole hierarchy

HEADER REQUIRED
#include <gtk--/object.h&gt;>

BASE CLASSES
Gtk_Base(3)

DERIVED BY
Gtk_Data(3) Gtk_ItemFactory(3) Gtk_Widget(3)

PUBLIC MEMBER INDEX
    Gtk_Object(guint type, ...);
    Gtk_Object(GtkObject *castitem);
    Gtk_Object(const Gtk_Object &obj);
    virtual  ~Gtk_Object();
    void  set_user_data(gpointer data);
    gpointer  get_user_data();
    guint*  signals();
    gint  nsignals();
    guint  type();
    signal void  destroy(BaseObjectType);
    GtkObject*  gtkobj();
    const GtkObject*  gtkobj() const;
    static bool  isGtkObject(Gtk_Object *checkcast);
    virtual void  delete_self();
      Chunks the Gtk_Object in the Global_Object_Trashcan,which is safe to do from inside a callback (in effect, 'delete this')
    gint  signal_connect(const gchar * name, void (*callback_func)(...), gpointer cbdata);
      obsolete
    gint  signal_connect(const gchar * name, void (*callback_func)(...), gpointer cbdata);
      obsolete
    void  signal_emit(gint signal_type, ...);
      obsolete
    void  signal_emit_by_name(const gchar *name, ...);
      obsolete
    void  signal_disconnect(gint id);
      obsolete
    void  set_data(string const &key, gpointer data);
    gpointer  get_data(string const &key) const;
    vector*  getv(guint n_args);
    void  setv(const vector &args);
    static void  add_arg_type(const string &arg_name, GtkType	arg_type, guint	arg_flags, guint	arg_id);
    void  set_data_full(const string &key, gpointer data, GtkDestroyNotify destroy);
    void  set_data_by_id(GQuark data_id, gpointer	data);
    void  set_data_by_id_full(GQuark	data_id, gpointer	data, GtkDestroyNotify destroy);
    void  remove_data(const string &key);
    void  remove_no_notify(const string &key);
    gpointer  get_data_by_id(GQuark data_id) const;
    void  remove_data_by_id(GQuark data_id);
    void  remove_no_notify_by_id(GQuark data_id);

PROTECTED MEMBER INDEX
    friend  CppClassType;
    typedef GtkObject  BaseObjectType;
    typedef GtkObjectClass  BaseClassType;
    virtual void * get_parent_class();
    virtual void  destroy_impl();
    GtkObject * gtkobject;
      This gives full access to gtk.
    void  ref();
    void  unref();
    void  weakref(GtkDestroyNotify notify, gpointer data);
    void  weakunref(GtkDestroyNotify notify, gpointer data);
    Gtk_Object();
    static void  gtkmm_sigsegv(const char *name);

PRIVATE MEMBER INDEX
    static CppClassType  object_class;
    GtkType  get_type();

PUBLIC MEMBER DESCRIPTIONS

PROTECTED MEMBER DESCRIPTIONS

PRIVATE MEMBER DESCRIPTIONS